## org.freedesktop.NetworkManager.AgentManager org.freedesktop.NetworkManager.AgentManager — Secret Agent Manager. |

## Methods

    Register                 (IN  s identifier);
    RegisterWithCapabilities (IN  s identifier,
                              IN  u capabilities);
    Unregister               ();

## Description

## Method Details

### The Register() method

    Register (IN  s identifier);

Called by secret Agents to register their ability to provide and save network secrets.

`IN s `identifier``: | Identifies this agent; only one agent in each user session may use the same identifier. Identifier formatting follows the same rules as D-Bus bus names with the exception that the ':' character is not allowed. The valid set of characters is "[A-Z][a-z][0-9]_-." and the identifier is limited in length to 255 characters with a minimum of 3 characters. An example valid identifier is 'org.gnome.nm-applet' (without quotes).

### The RegisterWithCapabilities() method

    RegisterWithCapabilities (IN  s identifier,
                              IN  u capabilities);

Like Register() but indicates agent capabilities to NetworkManager.

`IN s `identifier``: | See the Register() method's identifier argument.
`IN u `capabilities``: | (NMSecretAgentCapabilities) Indicates various agent capabilities to NetworkManager.

### The Unregister() method

    Unregister ();

Called by secret Agents to notify NetworkManager that they will no longer handle requests for network secrets. Agents are automatically unregistered when they disconnect from D-Bus.